1. directory
Super Drive Contábil
  • auth
    • signin
      POST
    • forgot-password
      POST
    • change-password
      PATCH
    • generate-access-token
      POST
  • directory
    • create-directorie
      POST
    • list-all-directories
      GET
    • list-all-subdirectories-from-directory
      GET
    • list-files-in-directories
      GET
    • find-directorie-by-id
      GET
    • move-directory
      PATCH
    • delete-directory
      DELETE
    • change-directory
      PATCH
    • delete-directory
      DELETE
    • search-files-and-directories
      GET
    • move-directories-batch
      PATCH
    • delete-directories-batch
      DELETE
    • list-directory-name-suggestions
      GET
  • customers
    • create-customer
      POST
    • find-customer-by-id
      GET
    • list-all-customers
      GET
    • change-customer
      PUT
    • delete-customer
      PATCH
    • cancel-delete-customer
      PATCH
    • permanent-delete-customer
      DELETE
    • import-customers
      POST
  • department
    • create-department
      POST
    • find-department-by-id
      GET
    • list-all-departments
      GET
    • list-users-in-deparment
      GET
    • change-department
      PUT
    • delete-department
      DELETE
  • contacts
    • create-contact
    • list-all-contacts
    • list-files-by-contact
    • list-contact-files-by-external-id
    • send-file-to-trash
    • restore-file-to-trash
    • delete-file-from-contact
    • send-many-files-to-trash
    • restore-many-files-to-trash
    • delete-many-files-from-contact
  • cloud
    • upload-file-from-contact
    • upload-file-from-cloud
  • users
    • delete-user
    • list-all-users
    • find-user-by-id
    • change-user
    • create-user
    • reset-user-password
  • integration
    • list-all-integration
  • automations
    • create-sharing-automation
    • create-automation
    • create-automation-ia
    • change-automation
    • list-all-automations
  • file
    • share-file
    • find-file-by-id
    • change-file
    • list-all-files
    • delete-file
    • move-file
    • find-file-by-id
  • zappy
    • list-sections
    • list-connections
  • channel
    • disconnect-channel
    • connection-channel
    • create-connection-channel
    • list-channels
  • directory-structure-model
    • create-directory-structure-model
    • change-directory-structure-model
    • delete-directory-structure-model
    • list-all-directory-structure-model
    • find-directory-structure-model -by-id
  • api-keys
    • create-api-key
    • change-api-key
    • list-all-api-keys
  • Schemas
    • Signin
  1. directory

search-files-and-directories

GET
https://api.superdrivecontabil.com.br/v1/storage/search

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "message": "string",
    "body": {
        "files": {
            "data": [
                {
                    "fileId": "string",
                    "fileName": "string",
                    "fileType": "string",
                    "filePath": "string",
                    "fileSize": "string",
                    "uploadedAt": "2019-08-24T14:15:22.123Z",
                    "createdAt": "2019-08-24T14:15:22.123Z",
                    "updatedAt": "string",
                    "directoryId": "string",
                    "directoryName": "string",
                    "status": 0,
                    "customerId": "string",
                    "processCommentId": "string"
                }
            ],
            "metadata": {
                "totalRecords": 0,
                "hasMore": true,
                "nextCursor": "string"
            }
        },
        "directories": {
            "data": [
                {
                    "id": "string",
                    "directoryName": "string",
                    "organizationId": "string",
                    "fileCount": 0,
                    "createdAt": "2019-08-24T14:15:22.123Z",
                    "updatedAt": "2019-08-24T14:15:22.123Z",
                    "size": "string",
                    "customerId": "string",
                    "customerName": "string",
                    "createdById": "string",
                    "createdByName": "string",
                    "automated": true,
                    "status": 0,
                    "is_desktop": true
                }
            ],
            "metadata": {
                "totalRecords": 0,
                "hasMore": true,
                "nextCursor": "string"
            }
        }
    }
}
Modified at 2026-11-19 22:16:17
Previous
delete-directory
Next
move-directories-batch